diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaSection.java
index 227b12808..182a6dd9d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/media/MediaSection.java
@@ -19,7 +19,6 @@ import eu.etaxonomy.taxeditor.ui.section.DefaultCdmBaseComparator;
  * <p>MediaSection class.</p>
  *
  * @author nho
- * @version $Id: $
  */
 public class MediaSection extends AbstractEntityCollectionSection<IdentifiableMediaEntity, Media>{
 
@@ -35,13 +34,11 @@ public class MediaSection extends AbstractEntityCollectionSection<IdentifiableMe
 		super(cdmFormFactory, conversation, parentElement, "Media", style);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public Media createNewElement() {
 		return Media.NewInstance();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public Collection<Media> getCollection(IdentifiableMediaEntity entity) {
 		return entity.getMedia();
@@ -52,46 +49,33 @@ public class MediaSection extends AbstractEntityCollectionSection<IdentifiableMe
         return new DefaultCdmBaseComparator<>();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public String getEmptyString() {
 		return "No media yet.";
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected String getTooltipString() {
 		return "Create new media";
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void addElement(Media element) {
 		getEntity().addMedia(element);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void removeElement(Media element) {
 		getEntity().removeMedia(element);
 	}
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public Media addExisting() {
-        return MediaSelectionDialog.select(getShell(), //getConversationHolder(),
-                null);
+        return MediaSelectionDialog.select(getShell(), null);
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public boolean allowAddExisting() {
         return true;
     }
-
-
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
index ec8caf6af..3a29ac01b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/AnnotationElement.java
@@ -19,7 +19,6 @@ import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
  * <p>AnnotationElement class.</p>
  *
  * @author nho
- * @version $Id: $
  */
 public class AnnotationElement extends AbstractEntityCollectionElement<Annotation>{
 
@@ -39,10 +38,6 @@ public class AnnotationElement extends AbstractEntityCollectionElement<Annotatio
 		super(cdmFormFactory, formElement, annotation, removeListener, null, style);
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#createControls(org.eclipse.swt.widgets.Composite)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void createControls(ICdmFormElement element, int style) {
 		combo_annotationType = formFactory.createDefinedTermComboElement(TermType.AnnotationType, this, "Annotation Type", null, style);
@@ -50,10 +45,6 @@ public class AnnotationElement extends AbstractEntityCollectionElement<Annotatio
 		text = formFactory.createMultiLineTextWithLabel(this, "Annotation", 100, style);
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#setEntity(eu.etaxonomy.cdm.model.common.AnnotatableEntity)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void setEntity(Annotation entity) {
 		this.entity = entity;
@@ -61,11 +52,6 @@ public class AnnotationElement extends AbstractEntityCollectionElement<Annotatio
 		text.setText(entity.getText());
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public void handleEvent(Object eventSource) {
 		if(eventSource == combo_annotationType){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
index 3cc294202..52d1570fa 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/supplemental/HeadlineSection.java
@@ -16,7 +16,6 @@ import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
  * <p>HeadlineSection class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class HeadlineSection extends AbstractFormSection<ICdmBase> {
 
@@ -32,14 +31,13 @@ public class HeadlineSection extends AbstractFormSection<ICdmBase> {
 		super(cdmFormFactory, parentElement, style);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void setEntity(ICdmBase cdmBase) {
 		ICdmBase entity = HibernateProxyHelper.deproxy(cdmBase);
 		super.setEntity(entity);
 
 		String simpleName = entity.getClass().getSimpleName();
-        String titleString = entity instanceof IdentifiableEntity ? ": " + ((IdentifiableEntity) entity).generateTitle() : "";
+        String titleString = entity instanceof IdentifiableEntity ? ": " + ((IdentifiableEntity<?>) entity).generateTitle() : "";
         titleString = StoreUtil.cleanTitleString(titleString);
         setText(simpleName + titleString);
 		layout();
diff --git a/eu.etaxonomy.taxeditor.webapp/src/main/java/eu/etaxonomy/taxeditor/webapp/TaxeditorWebappPlugin.java b/eu.etaxonomy.taxeditor.webapp/src/main/java/eu/etaxonomy/taxeditor/webapp/TaxeditorWebappPlugin.java
index 83c094968..cc786145e 100644
--- a/eu.etaxonomy.taxeditor.webapp/src/main/java/eu/etaxonomy/taxeditor/webapp/TaxeditorWebappPlugin.java
+++ b/eu.etaxonomy.taxeditor.webapp/src/main/java/eu/etaxonomy/taxeditor/webapp/TaxeditorWebappPlugin.java
@@ -9,7 +9,6 @@ import org.osgi.framework.BundleContext;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorWebappPlugin extends AbstractUIPlugin {
 
@@ -26,22 +25,12 @@ public class TaxeditorWebappPlugin extends AbstractUIPlugin {
 	public TaxeditorWebappPlugin() {
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void start(BundleContext context) throws Exception {
 		super.start(context);
 		plugin = this;
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void stop(BundleContext context) throws Exception {
 		plugin = null;
